- [JabyEngine](#jabyengine)
  - [About](#about)
  - [How to build](#how-to-build)
    - [Building JabyEngine (without VSCode)](#building-jabyengine-without-vscode)
- [Media creators](#media-creators)
  - [JabyEngine](#jabyengine-1)
  - [PoolBox](#poolbox)
- [Special thanks](#special-thanks)

# JabyEngine
## About
JabyEngine is my personal attempt to eventually make my own PS1 game from "ground up". Originally I didn't indented to release this code publicly but recently I decided to give it a try. If you read this, thank you! 

## How to build
JabyEngine relies on linux to be build. For Windows users it uses `wsl` instead but support for it might get dropped during further development.

The following environment variables should be set:
* `JABY_ENGINE_PATH`: The path to the root folder of this repo
* `PSX_LICENSE_PATH`: The path to a folder containing the PS1 licenses for generating a CD.

### Building JabyEngine (without VSCode)
`make` requires the following values to be passed:
* `BUILD_PROFILE`: `debug`/`release` 
* `PSX_TV_FORMAT`: `PAL`/`NTSC`
* `CUSTOM_CONFIG`: Empty or folder name under `./config`

# Media creators
## JabyEngine
| Art                                                             | Author |
|-----------------------------------------------------------------|--------|
| `ressources\Splash_ntsc.png` <br/> `ressources\Splash_ntsc.png` | Niuka  |

## PoolBox
| Art                                                             | Author      |
|-----------------------------------------------------------------|-------------|
| `examples\PoolBox\assets\AllTheJaby.png`                        | Niuka       |
| `examples\PoolBox\assets\IconTexture.png`                       | Charlie Nax |
| `examples\PoolBox\assets\Paco.png`                              | Paco        |

| Music                                                                     | Author                                |
|---------------------------------------------------------------------------|---------------------------------------|
| `examples\PoolBox\assets\audio\apple.wav`                                 | ???                                   |
| `examples\PoolBox\assets\audio\blubb-mono.wav`                            | ???                                   |
| `examples\PoolBox\assets\audio\Evacuation_cdda.wav`                       | Cody the white tiger                  |
| `examples\PoolBox\assets\audio\Friendship_samp.wav`                       | From Dragon Quest VII                 |
| `examples\PoolBox\assets\audio\jlbrock44_Three_Kings_Funk_cdda_ready.wav` | `Three Kings Funk` by spinningmerkaba |
| `examples\PoolBox\assets\audio\OnMyOwn_BailBonds.mp3`                     | `On My Own` by Bail Bonds             |

# Special thanks
* Cody the white tiger
* Nicolas Noble
* Pyravia
* Sickle